org.bdgenomics.adam

# rich

#### package rich

Visibility

1. Public
2. All

### Type Members

1. #### class IlluminaOptics extends AnyRef

2. #### case class ReferenceSequenceContext (pos: Option[ReferencePosition], referenceBase: Option[Char], cigarElement: CigarElement, cigarElementOffset: Int) extends Product with Serializable

   Represents information on the reference relative to a particular residue

3. #### class RichAlignmentRecord extends AnyRef

4. #### class RichCigar extends AnyRef

5. #### class RichGenotype extends AnyRef

6. #### class RichVariant extends AnyRef

### Value Members

1. #### object RichAlignmentRecord

2. #### object RichCigar

3. #### object RichGenotype

4. #### object RichVariant

### Ungrouped